﻿[@B4J_header.tpl]Sub Class_Globals
	' template example01_SubCategoryPage.tpl
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	Private clv1 As CustomListView
	Private tf1 As TextField
	Private btn1 As Button
	Public clvindex As Int
End Sub
Public Sub Initialize As Object
	Return Me
End Sub
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("[@layout_name]")
	B4XPages.SetTitle(Me,"[@workspace] - [@category_title]")
	xui.SetDataFolder("[@workspace]")
End Sub
Private Sub B4XPage_Appear
	btn1.Text = "[@add_text]"
	clv1.Clear
	clvindex = 0
	tf1.Text = ""
	load_list
End Sub
Private Sub B4XPage_Disappear
	If clv1.Size > 0 Then
		save_list
	End If
End Sub
Sub clv1_ItemClick (Index As Int, Value As Object)
	tf1.Text = Value
	btn1.Text = "[@change_text]"
	clvindex = Index
End Sub
Private Sub clv1_ItemLongClick (Index As Int, Value As Object)	' B4J = right click
	tf1.Text = Value
	btn1.Text = "[@delete_text]"
	clvindex = Index
End Sub
Private Sub btn1_Click
	Select btn1.Text
		Case "[@add_text]"
			clv1.AddTextItem(tf1.text,tf1.text)
		Case "[@change_text]"
			clv1.RemoveAt(clvindex)
			clv1.InsertAtTextItem(clvindex,tf1.text,tf1.text)
		Case "[@delete_text]"
			Log(clvindex)
			clv1.RemoveAt(clvindex)
			If clv1.Size < 1 Then
				File.Delete(xui.DefaultFolder,"[@category_filename]")
			End If
	End Select
	If clv1.Size > 0 Then
		save_list
	End If
	B4XPage_Appear
End Sub
[@clv_load_list_from_file.tpl]
[@clv_save_list_to_file.tpl]
