﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.8
@EndOfDesignText@
Sub Class_Globals
	' template declarations.tpl
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	Private clv1 As CustomListView
	Private tf1 As TextField
	Private btn1 As Button
	Private clvindex As Int
End Sub
Public Sub Initialize As Object
	Return Me
End Sub
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("category_layout")
	B4XPages.SetTitle(Me,"Voorbeeld01 - Categorie")
	xui.SetDataFolder("Voorbeeld01")
End Sub
Private Sub B4XPage_Appear
	btn1.Text = "Voegtoe"
	clv1.Clear
	clvindex = 0
	tf1.Text = ""
	load_list
End Sub
Private Sub B4XPage_Disappear
	If clv1.Size > 0 Then
		save_list
	End If
End Sub
Sub clv1_ItemClick (Index As Int, Value As Object)
	tf1.Text = Value
	btn1.Text = "Wijzig"
	clvindex = Index
End Sub
Private Sub clv1_ItemLongClick (Index As Int, Value As Object)	' B4J = right click
	tf1.Text = Value
	btn1.Text = "Verwijder"
	clvindex = Index
End Sub
Private Sub btn1_Click
	Select btn1.Text
		Case "Voegtoe"
			clv1.AddTextItem(tf1.text,tf1.text)
		Case "Wijzig"
			clv1.RemoveAt(clvindex)
			clv1.InsertAtTextItem(clvindex,tf1.text,tf1.text)
		Case "Verwijder"
			Log(clvindex)
			clv1.RemoveAt(clvindex)
			If clv1.Size < 1 Then
				File.Delete(xui.DefaultFolder,"categorie.txt")
			End If
	End Select
	If clv1.Size > 0 Then
		save_list
	End If
	B4XPage_Appear
End Sub
Sub load_list
	Private lst As List
	lst.Initialize
	If File.Exists(xui.DefaultFolder,"categorie.txt") Then
		lst = File.ReadList(xui.DefaultFolder,"categorie.txt")
		For i = 0 To lst.Size-1
			clv1.AddTextItem(lst.Get(i), lst.Get(i))
		Next
	End If
End Sub
Sub save_list
	Private lst As List
	lst.Initialize
	For i = 0 To clv1.Size-1
		lst.Add(clv1.GetValue(i))
	Next
	File.Delete(xui.DefaultFolder,"categorie.txt")
	If lst.Size > 0 Then
		File.WriteList(xui.DefaultFolder,"categorie.txt",lst)
	End If
End Sub

