﻿[@B4J_header.tpl]
[@declarations.tpl]
Public Sub Initialize As Object
	Return Me
End Sub
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("[@layout_name]")
	B4XPages.SetTitle(Me,"[@workspace] - [@category_title]")
	xui.SetDataFolder("[@workspace]")
End Sub
Private Sub B4XPage_Appear
	[@btn_varname].Text = "[@add_text]"
	[@clv_varname].Clear
	clvindex = 0
	[@tf_varname].Text = ""
	load_list
End Sub
Private Sub B4XPage_Disappear
	If [@clv_varname].Size > 0 Then
		save_list
	End If
End Sub
Sub [@clv_varname]_ItemClick (Index As Int, Value As Object)
	[@tf_varname].Text = Value
	[@btn_varname].Text = "[@change_text]"
	clvindex = Index
End Sub
Private Sub [@clv_varname]_ItemLongClick (Index As Int, Value As Object)	' B4J = right click
	[@tf_varname].Text = Value
	[@btn_varname].Text = "[@delete_text]"
	clvindex = Index
End Sub
Private Sub [@btn_varname]_Click
	Select [@btn_varname].Text
		Case "[@add_text]"
			[@clv_varname].AddTextItem([@tf_varname].text,[@tf_varname].text)
		Case "[@change_text]"
			[@clv_varname].RemoveAt(clvindex)
			[@clv_varname].InsertAtTextItem(clvindex,[@tf_varname].text,[@tf_varname].text)
		Case "[@delete_text]"
			Log(clvindex)
			[@clv_varname].RemoveAt(clvindex)
			If [@clv_varname].Size < 1 Then
				File.Delete(xui.DefaultFolder,"[@category_filename]")
			End If
	End Select
	If [@clv_varname].Size > 0 Then
		save_list
	End If
	B4XPage_Appear
End Sub
[@clv_load_list_from_file.tpl]
[@clv_save_list_to_file.tpl]
